MATE-TERMINAL(1)

NAME
mate-terminal - The MATE Terminal Emulator

SYNOPSIS
mate-terminal [-e, --command=STRING] [--window-with-profile=PROFILENAME] [--tab-with-profile=PROFILENAME] [--window-with-profile-internal-id=PROFILEID] [--tab-with-profile-internal-id=PROFILEID] [--role=ROLE] [--show-menubar] [--hide-menubar] [--geometry=GEOMETRY] [--disable-factory] [-t, --title=TITLE] [--working-directory=DIRNAME] [-?, --help]

DESCRIPTION

  MATE Terminal is a terminal emulation application that you can use to perform the following actions:

Access a UNIX shell in the MATE environment.

A shell is a program that interprets and executes the commands that you type at a command line prompt. When you start MATE Terminal, the application starts the default shell that is specified in your system account. You can switch to a different shell at any time.

Run any application that is designed to run on VT102, VT220, and xterm terminals.

MATE Terminal emulates the xterm program developed by the X Consortium. In turn, the xterm program emulates the DEC VT102 terminal and also supports the DEC VT220 escape sequences. An escape sequence is a series of characters that starts with the Esc character.

MATE Terminal accepts all of the escape sequences that the VT102 and VT220 terminals use for functions such as positioning the cursor and clearing the screen.

OPTIONS

-e, --command=STRING
    Execute the argument to this option inside the terminal.

--window-with-profile=PROFILENAME
    Open a new window containing a tab with the given profile. More than one of these options can be provided.

--tab-with-profile=PROFILENAME
    Open a tab in the window with the given profile. More than one of these options can be provided, to open several tabs .

--window-with-profile-internal-id=PROFILEID
    Open a new window containing a tab with the given profile ID. Used internally to save sessions.

--tab-with-profile-internal-id=PROFILEID
    Open a tab in the window with the given profile ID. Used internally to save sessions.

--tab
    Open a new tab in the last-opened window with the default profile.

--window
    Open a new window containing a tab with the default profile.

--role=ROLE
    Set the role for the last-specified window; applies to only one window; can be specified once for each window you create from the command line.

--active
    Set the last specified tab as the active one in its window.

--show-menubar
    Turn on the menu bar for the last-specified window; applies to only one window; can be specified once for each window you create from the command line.

--hide-menubar
    Turn off the menu bar for the last-specified window; applies to only one window; can be specified once for each window you create from the command line.

--maximize
    Open a new maximized terminal window.

--fullscreen
    Open a new fullscreen terminal window.

--geometry=GEOMETRY
    X geometry specification (see "X" man page), can be specified once per window to be opened.

--disable-factory
    Do not register with the activation name server, do not re-use an active terminal.

-t, --title=TITLE
    Set the terminal's title to TITLE.

--working-directory=DIRNAME
    Set the terminal's working directory to DIRNAME.

--zoom=ZOOM
    Set the terminal's zoom factor (1.0 = normal size)

-?, -h --help
    Show help message.

--help-terminal
    Print terminal options.

--help-window-options
    Print window options.

--help-all
    Show all help options.

BUGS

  Should you encounter any bugs, they may be reported at:
http://github.com/mate-desktop/mate-terminal/issues

AUTHOR

  This manual page was originally written by for the Debian GNU/Linux system by:
Christian Marillat <marillat@debian.org> (2013)

  It has been updated for the MATE Desktop Environment by:
Adam Erdman <hekel@archlinux.info> (2014)

SEE ALSO

  MATE Terminal documentation can be found from the "Help" menu, or by pressing the F1 key.
Further information may also be available at: http://wiki.mate-desktop.org/docs